## zowe › profiles › create › jclcheck-profile

A JCLCheck profile is required to issue commands in the jcl command group that interact with JCLCheck. The JCLCheck profile contains your host and port for the JCLCheck instance of your choice.

Warning: This command has been deprecated.
Recommended replacement: The 'config init' command

#### Usage

zowe profiles create jclcheck-profile <profileName> [options]

#### Positional Arguments

- `profileName` (string)

  - Specifies the name of the new jclcheck profile. You can load this profile by using the name on commands that support the "--jclcheck-profile" option.

#### JCLCheck Connection Options

- `--host` | `-H` (string)

  - Host name of the JCLCheck API service that is running on the mainframe system.

- `--port` | `-P` (number)

  - Port for the JCLCheck API service that is running on the mainframe system.

    Default value: 12697

- `--user` | `-u` (string)

  - User name for authenticating connections to the JCLCheck API service that is running on the mainframe system.

- `--password` | `--pass` | `--pw` (string)

  - Password for authenticating connections to the JCLCheck API service that is running on the mainframe system.

- `--base-path` | `--bp` (string)

  - The base path for your API mediation layer instance. Specify this option to prepend the base path to all resources when making REST requests. Do not specify this option if you are not using an API mediation layer.

    Default value: cajclcheck/api/v1

- `--reject-unauthorized` | `--ru` (boolean)

  - Reject self-signed certificates.

    Default value: true

- `--protocol` | `-o` (string)

  - Specifies protocol to use for JCLCheck connection (http or https).

    Default value: https
    Allowed values: http, https

- `--jclcheck-options` | `--jo` (string)

  - The desired set of JCLCheck runtime options. Specify the options exactly as you would on the PARM= or OPTIONS DD on a batch run of JCLCheck. See the JCLCheck runtime options documentation for details on available runtime options. If you specify options that change the format of the JCLCheck reports, you should request '--raw-output'. Changing the format of the report will affect the ability to produce a structured API response.

#### Options

- `--overwrite` | `--ow` (boolean)

  - Overwrite the jclcheck profile when a profile of the same name exists.

- `--disable-defaults` | `--dd` (boolean)

  - Disable populating profile values of undefined properties with default values.

#### Examples

- Create a JCLCheck profile named 'jcl123' to run JCLCheck at host zos123 and port 1234:

  - `zowe profiles create jclcheck-profile jcl123 --host zos123 --port 1234 --user ibmuser --pass myp4ss`

- Create a JCLCheck profile with default set of JCLCheck runtime options specified:

  - `zowe profiles create jclcheck-profile jcl123 --host zos123 --port 1234 --user ibmuser --pass myp4ss --jo "NOAS NOAU NOHCD NOJCL NORES NOSIGN"`